Team Management
GET
/v1/orgs/{org_id}/team/membersList Members
Admin tokenscope: org:adminoperation_id: team.listMembers
Authentication
Create via POST /v1/orgs/{org_id}/tokens/admin. Org-wide scope — keep tightly held.
SDK install
pip install znyx-sdknpm install @znyx/sdkPath parameters
| Name | Type | Required | Description |
|---|---|---|---|
| org_id#path | string | required | — |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
| project_id#query | string | null | optional | — |
Header parameters
| Name | Type | Required | Description |
|---|---|---|---|
| X-API-Key#header | string | null | optional | — |
| authorization#header | string | null | optional | — |
Responses
| Status | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Response schema
idrequiredstring
org_idrequiredstring
user_emailrequiredstring
rolerequiredstring
project_idstring | null
invited_bystring | null
accepted_atstring | null
created_atrequiredstring
Errors & what triggers them
| Code | Trigger | Fix |
|---|---|---|
| 401 | Missing or expired Authorization header. | — |
| 403 | Token does not have org access (wrong org_id, or insufficient role). | — |
| 404 | Resource does not exist in this org. | — |
Request
curl -X GET 'https://api.znyx.ai/v1/orgs/00000000-0000-0000-0000-000000000000/team/members' \ -H 'Authorization: Bearer $ZNYX_TOKEN'
Response
application/json
Successful Response
[
{
"id": "string",
"org_id": "string",
"user_email": "string",
"role": "string",
"project_id": null,
"invited_by": null,
"accepted_at": null,
"created_at": "string"
}
]Schema: MemberResponse[]